import java.io.*;
import java.util.*;

import org.sablecc.php4.*;
import org.sablecc.php4.node.*;
import org.sablecc.php4.lexer.*;

public class TestLexer
{
  public static void main (String[] argv) throws Exception
  {
    Lexer l = new PhpLexer (new PushbackReader (new BufferedReader(new InputStreamReader (System.in)), 65536));

    while (true)
    {
        Token token = l.next();
        System.out.println ("Read token '" + token.getClass().getName().substring
               (token.getClass().getName().lastIndexOf('.') + 1) + "'" +
            ", text = [" + token.getText() + "] at [" + token.getLine() + "," +
            token.getPos() + "]");
        if ( token instanceof EOF ) break;
    }
  }
}
